module AutomationService
    class EmployerPlansUpdate

        def initialize(pl_plan_key)
            @pl_plan_key = pl_plan_key
        end

        def call
            # employer = Employer.includes(:id_card_setup).find_by(pl_plan_key: @pl_plan_key)
            # card_setup = employer.id_card_setup
            UpdateEmployerPlansJob.new.perform(@pl_plan_key)
            # if employer.present?
            #     employer.save
            # else
            #     Member.find_by(pb_entity_key: vw_mb_member[:pb_entity_key]).destroy
            # end
        end
        
    end
end

# AutomationService::MemberUpdate('13', 337710)